## ros-noetic-calibration-msgs 0.10.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(calibration_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation geometry_msgs sensor_msgs std_msgs)

add_message_files(DIRECTORY msg
                  FILES CalibrationPattern.msg
                        CameraMeasurement.msg
                        ChainMeasurement.msg
                        DenseLaserObjectFeatures.msg
                        DenseLaserPoint.msg
                        DenseLaserSnapshot.msg
                        Interval.msg
                        IntervalStamped.msg
                        IntervalStatus.msg
                        JointStateCalibrationPattern.msg
                        LaserMeasurement.msg
                        RobotMeasurement.msg
)

generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(DEPENDS message_runtime geometry_msgs sensor_msgs std_msgs)

=== debian/changelog ===
ros-noetic-calibration-msgs (0.10.15-1focal) focal; urgency=high

  * Merge pull request #47 <https://github.com/ros-perception/calibration/issues/47> from PR2-prime/noetic-devel
    Noetic devel
  * fixes for compiler warnings CMP0048 and CMP0046
  * update maintainer for most packages; first try at setup for travis testing (#46 <https://github.com/ros-perception/calibration/issues/46>)
  * Contributors: Dave Feil-Seifer

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Tue, 11 May 2021 07:00:00 -0000

ros-noetic-calibration-msgs (0.10.14-1focal) focal; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 16 Apr 2016 07:00:00 -0000

ros-noetic-calibration-msgs (0.10.13-1focal) focal; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Dec 2014 08:00:00 -0000

ros-noetic-calibration-msgs (0.10.12-1focal) focal; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Sep 2014 07:00:00 -0000

ros-noetic-calibration-msgs (0.10.11-1focal) focal; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 20 Sep 2014 07:00:00 -0000

ros-noetic-calibration-msgs (0.10.10-1focal) focal; urgency=high

  * Export architecture_independent flag in package.xml
  * Contributors: Scott K Logan

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Tue, 06 May 2014 07:00:00 -0000

ros-noetic-calibration-msgs (0.10.9-1focal) focal; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Wed, 09 Apr 2014 07:00:00 -0000

ros-noetic-calibration-msgs (0.10.8-1focal) focal; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 07 Mar 2014 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-calibration-msgs
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <david.feilseifer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://www.ros.org/wiki/calibration_msgs
Standards-Version: 3.9.2

Package: ros-noetic-calibration-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: This package defines messages for storing calibration samples to be used in full robot calibration procedures.
 This package is still unstable. Expect the messages to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-calibration-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
